gnutls_session_set_id(3)

NAME
gnutls_session_set_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_session_set_id(gnutls_session_t session, const gnutls_datum_t * sid);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const gnutls_datum_t * sid
    the session identifier

DESCRIPTION
This function sets the session ID to be used in a client hello. This is a function intended for exceptional uses. Do not use this function unless you are implementing a custom protocol. To set session resumption parameters use gnutls_session_set_data() instead.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/